Subject: Re: [Bug] vfat: Not a git archive

From: Thomas Christensen <[email-masked]>
Date: Mon, 02 Jun 2008 13:05:30 +0200

Teemu Likonen <[email-masked]> writes:

> Thomas Christensen wrote (2008-06-02 12:20 +0200):
>
> Hmm, for example KDE automatically mounts VFAT filesystems with mount
> option "utf8" when using UTF-8 locale. VFAT uses UTF-16 in filenames and
> the only way to convert filenames losslessly (apart from the case
> insensitive issue) between Linux and VFAT is to use UTF-8 locale in
> Linux. I have described the subject in the Debian bug #417324:
>
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=417324
>
> What locale are you using? What mount options did you use when you
> mounted the /media/KINGSTON/ filesystem?

LANG=en_DK.UTF-8

/dev/sda1 on /media/KINGSTON type vfat
(rw,nosuid,nodev,uhelper=hal,shortname=lower,uid=1000)

It is auto mounted by the Gnome desktop.  I have tried to mount it
manually without mount options as well:

/dev/sda1 on /mnt type vfat (rw)

But alas, same problem.  I have been fiddling with the shortname option
and iocharset too, also without success.

	Thomas